FROM openshift/golang-builder:1.10 AS builder
ENV SOURCE_GIT_COMMIT=6a306dbfa557d69bf8527e1b4da370c49c82a8ba SOURCE_DATE_EPOCH=1557935352 BUILD_VERSION=v4.1.13 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator SOURCE_GIT_TAG=6a306db BUILD_RELEASE=201908210601
WORKDIR /go/src/github.com/openshift/cluster-ingress-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.1.13.20190821.060103
ENV SOURCE_GIT_COMMIT=6a306dbfa557d69bf8527e1b4da370c49c82a8ba SOURCE_DATE_EPOCH=1557935352 BUILD_VERSION=v4.1.13 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator SOURCE_GIT_TAG=6a306db BUILD_RELEASE=201908210601
COPY --from=builder /go/src/github.com/openshift/cluster-ingress-operator/ingress-operator /usr/bin/
COPY manifests /manifests
RUN useradd ingress-operator
USER ingress-operator
ENTRYPOINT ["/usr/bin/ingress-operator"]

LABEL \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the lifecycle of ingress controller components." \
        com.redhat.component="ose-cluster-ingress-operator-container" \
        maintainer="Dan Mace <dmace@redhat.com>" \
        name="openshift/ose-cluster-ingress-operator" \
        io.k8s.display-name="OpenShift ingress-operator" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-ingress-operator" \
        io.openshift.release.operator="true" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-ingress-operator/commit/6a306dbfa557d69bf8527e1b4da370c49c82a8ba" \
        version="v4.1.13" \
        io.openshift.build.commit.id="6a306dbfa557d69bf8527e1b4da370c49c82a8ba" \
        release="201908210601"

